/**
 * CS171 Basic Processing Example code.
 * Shapes - how to make point, lines, and shapes.
 * 
 * Written by Byron Hood.
 */
 
int HEIGHT = 400;
int WIDTH = 400;

/**
 * The setup() method is where you put all of the one-time initializations that
 * you need to do before your visualization is displayed, such as loading data
 * and parsing it into the correct data structures.
 */
void setup( ) {
  size( WIDTH, HEIGHT );   // Set the size of the window.
  background( 196 );  // Set the background of the window.
}

/**
 * The draw() method is where you put everything that needs to be constantly
 * updated on the screen. This includes most of your graphics and animations.
 */
void draw( ) {
  background( 196 );     // Re-draw the background to avoid artifacts.
  strokeWeight( 2 );     // Set line width & point diameter to 2 pixels
  stroke( 128, 32, 32 ); // Set the point/line color to dark red.
  for ( int x = 0; x < WIDTH; x += 10 ) {
    for ( int y = (x % 20) / 2; y < HEIGHT; y += 10 ) {  // Alternate starting at 0px and 5px
      // The top left corner of the window is (0, 0). The X-coordinate increases
      // as you go down the 
      point( x, y );     // Draw a point at (x, y) in the Cartesian plane.
    }
  }
  
  stroke( 32, 32, 128 );  // Set the point/line color to dark blue.
  rectMode( CORNERS );    // Draw rectangles by specifying the corners.
  rect( WIDTH / 4, HEIGHT / 4, 3 * WIDTH / 4, 3 * HEIGHT / 4 );
  
  stroke( 32, 128, 32 );  // Set the point/line color to dark green.
  for ( int i = 0; i < 10; ++i ) {
    // Pick two random points in the Cartesian plane.
    int x1 = (int) random( WIDTH / 4, 3 * WIDTH / 4 );
    int y1 = (int) random( HEIGHT / 4, 3 * HEIGHT / 4 );
    int x2 = (int) random( WIDTH / 4, 3 * WIDTH / 4 );
    int y2 = (int) random( HEIGHT / 4, 3 * HEIGHT / 4 );
    line( x1, y1, x2, y2 ); // Draw a line from the first point to the second one.
  }
}
